Buteo::ServerThread Class Reference

Thread for server plugin. More...

`#include <ServerThread.h>`

Inheritance diagram for Buteo::ServerThread:

## Signals

void | initError (const QString &aProfileName, const QString &aMessage, SyncResults::MinorCode aErrorCode)
| Emitted when synchronization cannot be started due to an error in plugin initialization.

## Public Member Functions

| ServerThread ()
| Constructor.
virtual | ~ServerThread ()
| Destructor.
QString | getProfileName () const
| Returns profile that this thread is running.
ServerPlugin * | getPlugin () const
| Returns plugin that this thread is running.
bool | startThread (ServerPlugin *aServerPlugin)
| Starts server thread.
void | stopThread ()
| Stops server thread.

## Protected Member Functions

virtual void | run ()
| overriding method of QThread::run

## Detailed Description

Thread for server plugin.

## Member Function Documentation

## getPlugin()

ServerPlugin * ServerThread::getPlugin | ( |  | ) | const

Returns plugin that this thread is running.

Returns
  Plugin

## getProfileName()

QString ServerThread::getProfileName | ( |  | ) | const

Returns profile that this thread is running.

Returns
  Profile name

## initError

void Buteo::ServerThread::initError | ( | const QString & | aProfileName,
|  | const QString & | aMessage,
|  | SyncResults::MinorCode | aErrorCode )

signal

Emitted when synchronization cannot be started due to an error in plugin initialization.

Parameters

  aProfileName | Name of the profile being synchronized
  aMessage | Message data related to error event
  aErrorCode | Error code

## startThread()

bool ServerThread::startThread | ( | ServerPlugin * | aServerPlugin | ) |

Starts server thread.

Parameters

  aServerPlugin | Server plug-in to run. The plug-in is owned by the caller and must not be deleted while the thread is running.

Returns
  True on success, otherwise false

The documentation for this class was generated from the following files:

- ServerThread.h
- ServerThread.cpp